> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Force Run Bundle Automation

> Trigger an immediate execution of a catalog's bundle automation, bypassing the normal schedule.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/catalogs/{request_catalog_id}/bundle_automation/run
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{request_catalog_id}/bundle_automation/run:
    post:
      tags:
        - Request Catalog
      summary: Force Run Bundle Automation
      description: >-
        Trigger an immediate execution of a catalog's bundle automation,
        bypassing the normal schedule.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.ForceRunBundleAutomation
      parameters:
        - in: path
          name: request_catalog_id
          required: true
          schema:
            description: >-
              The unique identifier of the access profile whose automation
              should be run.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.ForceRunBundleAutomationRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.ForceRunBundleAutomationResponse
          description: The response message for triggering a bundle automation run.
      x-codeSamples:
        - lang: go
          label: ForceRunBundleAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.ForceRunBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceForceRunBundleAutomationRequest{\n        RequestCatalogID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ForceRunBundleAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.forceRunBundleAutomation({
                requestCatalogId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.ForceRunBundleAutomationRequestInput:
      description: The request message for triggering an immediate bundle automation run.
      properties:
        refs:
          description: >-
            Optional entitlement references to scope the run to specific
            entitlements.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      title: Force Run Bundle Automation Request
      type: object
      x-speakeasy-name-override: ForceRunBundleAutomationRequest
    c1.api.requestcatalog.v1.ForceRunBundleAutomationResponse:
      description: The response message for triggering a bundle automation run.
      title: Force Run Bundle Automation Response
      type: object
      x-speakeasy-name-override: ForceRunBundleAutomationResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````